import numpy as np
import pygame
from pygame.locals import *

class Avatar(object):

  def __init__(self, name, surface, position, speed, blackboard):
    self.name = name
    self.surface = surface
    self.position = np.array(position)
    self.speed = speed
    self.blackboard = blackboard
    
  def update(self, target, time):

    if not np.array_equal(target, [0.0, 0.0]):
      target = target / np.sqrt(np.dot(target, target))
      target = target * self.speed
                                  
    self.position = self.position + target * time
        
